Subject: [Hubmib] RE: IF types durring review of EPON-04

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sat, 13 May 2006 17:32:37 +0300

(also copying the hubmib list)

Thanks to DaveT for stepping up with this. Unless there is another
volunteer who shows up during the coming week, 5/19 is a good date to
start a second review. 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Dave Thaler
> Sent: Friday, May 12, 2006 8:49 PM
> To: David T. Perkins; [email-masked]
> Subject: RE: IF types durring review of EPON-04
> 
> I've been doing the reviews of relationships to the 
> Interfaces MIB, so I can do this, but I'm swamped right now.  
> I could probably get to this by end of next week (5/19) if 
> someone else doesn't get to it before then.
> 
> -Dave
> 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David T. Perkins
> Sent: Friday, May 12, 2006 10:25 AM
> To: [email-masked]
> Subject: IF types durring review of EPON-04
> 
> HI,
> 
> I'm doing a second review of EPON-04 I-D, which is 
> http://www.ietf.org/internet-drafts/draft-ietf-hubmib-efm-epon
> -mib-04.tx
> t
> 
> It is very complex and the previous review raised many questions.
> The good news is that it is MUCH better, and it is finally to 
> the level that someone can make sense of it. However, given 
> that it is an interface MIB module, there are many additional 
> considerations that must be followed. I don't remember all of 
> them, and would need to refresh myself with these 
> considerations to do a complete job. Is there anyone that can 
> do a scan after I finish the first pass?
> 
> One question that I have so far is what interface type to use 
> for the virtual links. The document uses the same value as 
> the physical (which is gigabitEthernet(117)), but it seems to 
> me that the propVirtual(53) is more appropriate.
>  
> In trying to determine the value for ifType, I looked at 
> http://www.iana.org/assignments/ianaiftype-mib
> In it I see that there are 234 types defined.
> This seems like an extremely large number. Also, there is not 
> a reference for each assigned value.
> Thus, I could not figure out from looking at these values 
> what values the should be used in the EPON MIB module. This 
> seems like a generic problem that anyone implementing object 
> ifType would encounter. And a delemma for anyone creating a 
> new interface MIB module. 
> 
> Are there any suggestions that would help me now with the 
> EPON MIB module, and for making it easier for future 
> interface MIB module developers?
> 
> Regards,
> /david t. perkins
> 
> 
> 
> 
> 
> 

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sun, 21 May 2006 05:16:08 +0300

This discussion on the mreview (MIB Doctors list) refers to the layering
model and usage of ifType values in the EPON MIB. 

Comments and feedback are welcome, please make sure to copy Dave Perkins
and Dave Thaler. 

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of David T. Perkins
Sent: Sunday, May 21, 2006 12:05 AM
To: Dave Thaler
Cc: [email-masked]
Subject: RE: IF types durring review of EPON-04

HI,

Thank you for the comments below. In my original message, I was asking
for ifType for the virtual interfaces. What value do you think they
should use, and why?

Regards,
/david t. perkins

On Fri, 19 May 2006, Dave Thaler wrote:
> Ok, I've looked through EPON-04 with respect to the relationship to 
> the interfaces MIB and the Ethernet mib.  (I also saw lots of typos 
> and grammatical errors in EPON-04, so someone should probably go 
> through it for those.  It also has lots of acronyms which are not 
> expanded on first
> use.)
> 
> The key sentence in EPON-04 is in section 3.1:
> >  Implementing this module therefore MUST require implementation of  
> > Interfaces MIB module [RFC2863] and Ethernet-like Interfaces MIB  
> > module [RFC3635].
> 
> This is fine, since throughout the doc it says that EPON interfaces 
> are Ethernet-like interfaces and they don't want to duplicate all the 
> objects in that MIB.
> 
> However, the problem is it uses gigabitEthernet(117).
> 
> Section 3.2.4 of RFC 3635 (which, as quoted above, is a MUST for EPON
> interfaces) says:
> >  It is REQUIRED that all ethernet-like interfaces  use an ifType of 
> > ethernetCsmacd(6) regardless of the speed that the  interface is 
> > running or the link-layer encapsulation in use.
> and
> >  A requirement for
> >  compliance with this document is that all ethernet-like interfaces

> > MUST return ethernetCsmacd(6) for ifType, and MUST NOT return  
> > fastEther(62), fastEtherFX(69), or gigabitEthernet(117).
> 
> It's pretty clear from the above that the only legal value for use in 
> EPON is ethernetCsmacd(6).
> 
> Similarly, the ianaiftype-mib says:
> >  gigabitEthernet (117), -- Obsoleted via
> RFC-draft-ietf-hubmib-etherif-mib-v3  ethernetCsmacd (6) should be 
> used instead
> 
> (Yes the reference in the comment is stale... per 
>
http://www.ietf.org/internet-drafts/draft-ietf-hubmib-etherif-mib-v3-03.
> txt it is the same as RFC 3635 quoted above.)
> 
> The layering model described on page 13 (of using one Ethernet-like 
> interface that is stacked on top of a set of other Ethernet-like
> interaces) is fine.  This is equivalent to what RFC 3371 (the L2TP 
> MIB) does for multilink PPP for similar reasons.
> 
> Since EPON is not defining a new ifType, the other requirements in RFC
> 2863 don't apply to it as they are met by RFC 3635.
> 
> -Dave
> 
> > From: [email-masked] [mailto:[email-masked]]
> On
> > Behalf Of Dave Thaler
> > Sent: Friday, May 12, 2006 10:49 AM
> > I've been doing the reviews of relationships to the Interfaces MIB, 
> > so I can do this, but I'm swamped right now.  I could probably get 
> > to
> this
> > by end of next week (5/19) if someone else doesn't get to it before 
> > then.
> > 
> > -Dave
> > 
> > From: [email-masked] [mailto:[email-masked]]
> On
> > Behalf Of David T. Perkins
> http://www.ietf.org/internet-drafts/draft-ietf-hubmib-efm-epon-mib-04.
> tx
> > t
> > 
> > The good news is that it is MUCH better, and it is finally to the 
> > level that someone can make sense of it. However, given that it is 
> > an interface MIB module, there are many additional considerations 
> > that must be followed. I don't remember all of them, and would need 
> > to refresh myself with these considerations to do a complete job. Is

> > there anyone that can do a scan after I finish the first pass?
> > 
> > One question that I have so far is what interface type to use for 
> > the virtual links. The document uses the same value as the physical 
> > (which is gigabitEthernet(117)), but it seems to me that the 
> > propVirtual(53) is more appropriate.
> > 
> > This seems like an extremely large number. Also, there is not a 
> > reference for each assigned value.
> > Thus, I could not figure out from looking at these values what 
> > values the should be used in the EPON MIB module. This seems like a 
> > generic problem that anyone implementing object ifType would 
> > encounter. And a delemma for anyone creating a new interface MIB 
> > module.
> > 
> > Are there any suggestions that would help me now with the EPON MIB 
> > module, and for making it easier for future interface MIB module 
> > developers?
> > 
> > Regards,
> > /david t. perkins
> > 
> > 
> > 
> > 
> 
> 
>